#include  "soccer_agent_environment.h"
#include  "autogen_act_savior.h"

using namespace std;

int    main( int  argc ,  char *  argv[] )
{
	//
	// Interpret Option
	//
	Soccer_Option_Analyser	opt( "savior" /* default team name */ ,
				     true     /* default is field player */ );

	if ( ! opt.analyse( argc , argv ) )
	{
		opt.usage();
		return( 1 );
	}
	else if ( opt.help() )
	{
		opt.usage();
		return( 0 );
	}


	//
	// Build Agent Environment
	//
	Soccer_Agent_Environment	agent_environment( opt );

	if ( ! agent_environment.valid() )
	{
		return( 1 );
	}


	//
	// Register Action
	//
	agent_environment.set_action
	    ( new Act_Savior( agent_environment.field_recog_interface() ) );


	//
	// Main Loop
	//
	agent_environment.run();


	return( 0 );
}
